import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Group } from '../models/group';
import { Environment } from '../models/environment';
import * as i0 from "@angular/core";
export declare class GroupService {
    private environment;
    private http;
    constructor(environment: Environment, http: HttpClient);
    groups(): Observable<Group[]>;
    createGroup(name: string, description: string, path?: string): Observable<Group>;
    group(id: string): Observable<Group>;
    paths(): Observable<string[]>;
    updateGroup(id: string, name: string, description: string, path?: string): Observable<Group>;
    deleteGroup(id: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GroupService>;
}
